Debian Bug report logs - #705771
ITA: bc -- GNU bc arbitrary precision calculator language

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: John Hasler <jhasler@debian.org>

Date: Fri, 19 Apr 2013 19:21:01 UTC

Owned by: Ryan Kavanagh <rak@debian.org>

Severity: normal

Fixed in version bc/1.06.95-7

Done: Ryan Kavanagh <rak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705771; Package wnpp. (Fri, 19 Apr 2013 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Hasler <jhasler@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 19 Apr 2013 19:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Hasler <jhasler@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: bc -- GNU bc arbitrary precision calculator language
Date: Fri, 19 Apr 2013 14:20:09 -0500
Package: wnpp
Severity: normal

I intend to orphan the bc package.

The package description is:
 GNU bc is an interactive algebraic language with arbitrary precision which
 follows the POSIX 1003.2 draft standard, with several extensions including
 multi-character variable names, an `else' statement and full Boolean
 expressions.  GNU bc does not require the separate GNU dc program.
 Home page: http://directory.fsf.org/GNU/bc.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705771; Package wnpp. (Fri, 19 Apr 2013 20:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <rak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 19 Apr 2013 20:42:12 GMT) Full text and rfc822 format available.

Message #10 received at 705771@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 705771@bugs.debian.org
Subject: Re: Bug#705771: O: bc -- GNU bc arbitrary precision calculator language
Date: Fri, 19 Apr 2013 16:38:30 -0400
[Message part 1 (text/plain, inline)]
On Fri, Apr 19, 2013 at 02:20:09PM -0500, John Hasler wrote:
> I intend to orphan the bc package.

I use the dc program (from the same source package) rather frequently.
If someone would like to co-maintain this package, please let me know. I
plan on looking over the source package over the weekend and will
probably adopt bc if nobody gets to it first.

Best wishes,
Ryan

-- 
|_)|_/	Ryan Kavanagh		| Debian Developer
| \| \	http://ryanak.ca/	| GPG Key 4A11C97A
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705771; Package wnpp. (Fri, 19 Apr 2013 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 19 Apr 2013 21:36:05 GMT) Full text and rfc822 format available.

Message #15 received at 705771@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Ryan Kavanagh <rak@debian.org>, 705771@bugs.debian.org
Subject: Re: Bug#705771: O: bc -- GNU bc arbitrary precision calculator language
Date: Fri, 19 Apr 2013 23:26:20 +0200
On Fri, Apr 19, 2013 at 04:38:30PM -0400, Ryan Kavanagh wrote:
> On Fri, Apr 19, 2013 at 02:20:09PM -0500, John Hasler wrote:
> > I intend to orphan the bc package.
> 
> I use the dc program (from the same source package) rather frequently.
> If someone would like to co-maintain this package, please let me know. I
> plan on looking over the source package over the weekend and will
> probably adopt bc if nobody gets to it first.
>

Ryan,
Do you want to co-maintain it? My idea would be having it in collab-maint.
In my case, I would prefer doing a deep update and upload mid-may
after the release is done.

Ana



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#705771; Package wnpp. (Sat, 20 Apr 2013 06:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <rak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Apr 2013 06:30:04 GMT) Full text and rfc822 format available.

Message #20 received at 705771@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: Ana Guerrero <ana@debian.org>
Cc: 705771@bugs.debian.org
Subject: Re: Bug#705771: O: bc -- GNU bc arbitrary precision calculator language
Date: Sat, 20 Apr 2013 02:26:32 -0400
Hi Ana,

On Friday, April 19, 2013 at 23:26:20 +0200, Ana Guerrero wrote:
> Do you want to co-maintain it? My idea would be having it in collab-maint.
> In my case, I would prefer doing a deep update and upload mid-may
> after the release is done.

That would be great, let's co-maintain it. I'll contact you off-BTS
about it.

Best wishes,
Ryan

-- 
|_)|_/	Ryan Kavanagh		| Debian Developer
| \| \	http://ryanak.ca/	| GPG Key 4A11C97A



Changed Bug title to 'ITA: bc -- GNU bc arbitrary precision calculator language' from 'O: bc -- GNU bc arbitrary precision calculator language' Request was from Ryan Kavanagh <rak@debian.org> to control@bugs.debian.org. (Sat, 20 Apr 2013 14:27:09 GMT) Full text and rfc822 format available.

Owner recorded as Ryan Kavanagh <rak@debian.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sat, 20 Apr 2013 20:24:04 GMT) Full text and rfc822 format available.

Reply sent to Ryan Kavanagh <rak@debian.org>:
You have taken responsibility. (Fri, 24 May 2013 19:06:17 GMT) Full text and rfc822 format available.

Notification sent to John Hasler <jhasler@debian.org>:
Bug acknowledged by developer. (Fri, 24 May 2013 19:06:17 GMT) Full text and rfc822 format available.

Message #29 received at 705771-close@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 705771-close@bugs.debian.org
Subject: Bug#705771: fixed in bc 1.06.95-7
Date: Fri, 24 May 2013 19:03:14 +0000
Source: bc
Source-Version: 1.06.95-7

We believe that the bug you reported is fixed in the latest version of
bc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Kavanagh <rak@debian.org> (supplier of updated bc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 24 May 2013 07:26:52 -0400
Source: bc
Binary: bc dc
Architecture: source amd64
Version: 1.06.95-7
Distribution: unstable
Urgency: low
Maintainer: Ryan Kavanagh <rak@debian.org>
Changed-By: Ryan Kavanagh <rak@debian.org>
Description: 
 bc         - GNU bc arbitrary precision calculator language
 dc         - GNU dc arbitrary precision reverse-polish calculator
Closes: 586969 671513 705771
Changes: 
 bc (1.06.95-7) unstable; urgency=low
 .
   * New maintainer (Closes: #705771)
   * Switch to Debian source format 3.0 (quilt)
   * Updated copyright file with missing licenses and holders. Now in DEP-5
     format.
   * Bump standards version to 3.9.4
   * Bump debhelper Build-Dependency to >= 9 and switch from old-style rules
     with manual calls to dh_* to modern style dh rules
   * Bump compat level to 9
   * Drop libreadline5-dev from Build-Depends, it no longer exists in unstable
   * Add a doc-base file for bc
   * Fix a typo in bc, 01_typo_in_bc.diff
   * Fix hyphens used as minus signs in manpages,
     02_hyphens_as_minus_in_man.diff
   * Fix array initialization bug, 03_array_initialize.diff (Closes: #671513,
     #586969)
   * Revert all inline patches and introduce them as logical quilt patches
     + Set the info dircategory to Math, 04_info_dircategory.diff
     + Notice read/write errors on input and output,
       05_notice_read_write_errors.diff
   * clean target now conforms to Debian Policy §4.9, "must undo any effects
     that the build target may have had [...]"
   * Added Vcs-Git/Vcs-Browser entries to debian/control
   * Reintroduce the missing 1.06.94-3.1 changelog entry
   * Get rid of postinst/postrm files, they were unneeded
Checksums-Sha1: 
 9bb39a9a20c6faef09826c65d705e55bcee28d3b 2920 bc_1.06.95-7.dsc
 a3192c328188306cfd3624cb4693d1c4feb7ad37 19033 bc_1.06.95-7.debian.tar.gz
 2da65f5df9450dbdbe38f90afce1b743e6b6176c 111922 bc_1.06.95-7_amd64.deb
 de858458f8069cc06a8aa1bc7e1c65dc8a293df7 72280 dc_1.06.95-7_amd64.deb
Checksums-Sha256: 
 073ee3afb23e14b3d29a2012420bba5d83926bdc3c2010ba9182f6cf989a98ff 2920 bc_1.06.95-7.dsc
 d7a068a7b5d9d4bd537f9ecf4c2a2a00f3db61fd3eec32164825497e91142466 19033 bc_1.06.95-7.debian.tar.gz
 b01c8083a5f923af66a061ef314d978dccbe4e8e7b475a11a74d257246818b2e 111922 bc_1.06.95-7_amd64.deb
 77e3835e7c5a4b9acac60555fcb24ca1cae998a6e531c1fd19b00145ca73eae6 72280 dc_1.06.95-7_amd64.deb
Files: 
 6aecd8f3ce9ae19292dc4ad939125c7d 2920 math standard bc_1.06.95-7.dsc
 a5d80fa968b136f1f93f2b4680d0118c 19033 math standard bc_1.06.95-7.debian.tar.gz
 ab68131cd47567c6f684ec19aacfac96 111922 math standard bc_1.06.95-7_amd64.deb
 848043ae807376d691af04d5b01a63d5 72280 math standard dc_1.06.95-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQUcBAEBCgAGBQJRn7gJAAoJEI97+PxKEcl6p6An/iXuI411JgzvyDDGKyXh/EF2
ympXQoMHXDd/QqeuTT26A6vnhyxHnCoK+sfR2GjQItARJPloYkXnvRXh+CRBmrw0
PF95XSduoKd6STMas4V4c/XkSzo8TAI16C5m6WKSAFSatLgt5XZg9x/0XY9kNgR6
kPBNE3w+XSnOfH9N9HMPKwNHyHXqlMBEk3ZkduNQRAGoU370j8bYOf1x0FQBEgLm
bvjMgRZqMQtlLKPr1DlWbcQ7oJQm2o29iscmJsqtzyMopH2ZqMz6U8xV1+ZORQsO
EBTmfxhdmw5NZP/4zgCBG/D38VFbMGTSkLROt4lIpZUOQq99jHjIzZXCKPFczi6z
Sch3b2pBQpoJ/oqxdaZJyK6C+bngVS9YigluaPkdDtgJ4aeLF+1RvBzjH9HvEcCg
N2ojPOYrrjmfsp+0F7GaQMnzIMPhj9uu88KKHcrpFUD9kujAhRwJuNeohwKzjrvz
0+BuB0rruBqfRtLPxkgmd6Jvv+CDRjOXLAC3GjzUrFv3DfqUUv7C1tJ0wamRoU6Q
6KRhMtPTzy2VxyzsBEj/yF12KSk21zUWA73lv96uN7H9G4pgkFTSXjJ5TELqn8hg
SkbLCldBxbU4ZAWMY/lGHMznvwMJKYGqeM0tHELaZcGPG0e2ziFiFbNcOeeaGkwk
xEyJeyx08Cuky1fifOU1sYAsDjDeOyCq10u0vdL2qX02yzj5hP5BZupRoWgf0cLp
e85/UxjwPd9VehXd8OW38u5f47NZcOpCKjJQkJpEZ3/wmCaqURIwDnZYyJP6IKJT
ykUTu011/WUEqB4HNfxknQlgscvCsBuv+3KgY3DyDFNZok0Nq5n/Ejjbl0Sdncd7
AOs0jAB8NBD8PGSUgVJck/+46WJm1m6Dev2CVThIe9l4wqfa2+qLKHl4o7PhKF4O
8VVGsEpEeWc0fRmrlgN/YRYiXzomdoBHdzWBdRqaQ8GV4I8s1hzF/h1knv2I/0tO
U7nYzm8ZLUltVjBqySCyUbEh8+OIsI9aKs05Rajak8CuV4sICDDGAYcPw5KgdlXg
WGG8QfTlrbB6KWX9RBvrHJ5VatzRH7MdfPUA8yMF7nlc43vNMnU/vQbGVF71DR3R
S2KdGOJmLgcNo4H4PdHklWdrRDrNtRC/Wd/yMjfjZxwJXeNb9RjJykxRUxGEyfvy
qhi1/Ak681/9Y56nyOTHVPwgesYogw+tWcOohFIhY0q5NUEXtYFM8sCDLFkD39hU
Jv/Cr3tMQpEFOU7H0yheXtAdeQealY+N9ODSHlH31NsmA4HLNiuk++RHXZKLCIwE
4gVMpS6dBof9xYoGIY0JXlWuDXfpofyNpJe1PKjqyeXlR9nhKWroGO3vi/rTu5dx
cKezqiJ7M0XjwCNb8t4UGqdPly+/l84N7CCbkbAX2XGpuildjrqaOG94KbPfcGA1
BZWfzYd+/HDpVewVy1Rt/v8Qp+icuzlmJUCmq1db8N1X3v47L7x1tdouh93Gbuzh
WOdAEgY3OF4aA5IozM556WDs2ysTIoJRgmZgtfF0kRCXuvZJXoGYJMQHlxV6n3TL
4zr0Ow33jORYCoHLSMs33HA9hGTBh5ftkOHM5MPuuX26kfnVjwk8Hm8g5x4teJOD
gIQbRyoYK7waMa0o498L8uAa7ZdIz/3J0fCiHiQ1RFKws0kfnddJLRuT2DaOJUIt
5sfG4OmRat/DBbRC4LJf
=0NAY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Jun 2013 07:34:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:10:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.